Não Consigo instalar / configurar WebCam Genius Messenger 310

1. Não Consigo instalar / configurar WebCam Genius Messenger 310

Thiago Moreira Bianeck
byanneck

(usa Ubuntu)

Enviado em 29/05/2009 - 19:51h

Comprei uma webcam Genius Messenger 310, e já tentei configurar de todas as maneiras, vasculhei tópicos a respeito em diversos sites de vários idiomas, mas até agora nada de funcionar.

alguns detalhes:

[email protected]:/# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 093a:2624 Pixart Imaging, Inc.
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

ela funciona no cheese normalmente, no camorama dá erro: Unable to capture image
no easycam2 nem aparece pra configurar. no easygspca nada também, além de aparecer em francês, pede pra instalar, demora, demora e nada também.

Eu estou instalando porque estou desenvolvendo uma distro para telecentros e quero incluir o programa eviacam mas a minha webcam não ajuda. se alguém tiver informações de como configurar, por favor me mande os procedimentos.



  


2. Re: Não Consigo instalar / configurar WebCam Genius Messenger 310

Genesco Sousa
gesousa

(usa Ubuntu)

Enviado em 29/05/2009 - 20:06h

Bom se a webcam está funcionando no cheese então o modulo esta instalado.... se ainda está dando o problema com o camorama então o problema deve ser de compatibilidade...

Veja os drivers das webcans novas como o uvc, está dando suporte somente a padrão da api video4linux versão 2, enquanto o cheese já vem com suporte ao v4l versão 2 o camorama só aceita o v4l versão 1, e as duas api não são compatíveis entre si.

Para resolver este problema o desenvolvedor Hans de Goede, criou o libv4l que é um lib para fazer a conversão do v4lv2 para v4lv1 ou visse versa...


se está usando o debian ou ubuntu vc pode instalar pelo comando:

sudo apt-get install libv4l-0

se está usando outra distro .. vc pode baixar o código fonte aqui:

http://people.atrpms.net/~hdegoede/libv4l-0.5.98.tar.gz

os comandos para carregar os programas seriam:

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so camorama

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so cheese


no caso do camorama também é bom verificar qual o dispositivo ele está configurado .. o padrão é o /dev/video0 e muitas webcams utilizam o /dev/video1









Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts